<?php

namespace EventPortal\Domain\Event\Policies;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Domain\User\Models\User;

class EventDelegatePolicy
{
    public function view(User $user, Event $event): bool
    {
        return EventDelegate::query()
            ->forEventAndDelegate($event, $user->delegate)
            ->canViewEvent()
            ->exists();
    }
}
