<?php

namespace EventPortal\Domain\Agenda\Actions;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Agenda\Models\Session;

class DeleteAgenda
{
    public function execute(Agenda $agenda): void
    {
        $agenda
            ->sessions()
            ->each(function (Session $session): void {
                (new DeleteSession)->execute($session);
            });

        $agenda->delete();
    }
}
